easy_install failed in install pycrypto, met 'error: no src/config.h':

> sudo easy_install 
> http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/pycrypto-2.4.1.tar.gz

 
Then,  'error: no Python.h' occured. Ah, google is good:

> sudo apt-get install python-dev


Still failed... built it in hard way:

> tar xzvf  pycrypto-2.4.1.tar.gz

cd pycrypto-2.4.1
> sudo ./configure
> sudo python setup.py install


restarted apache2, failed with 'no Random', and found Crypto is 2.0.1 in 
log, dig deeply on internet:
Finally found an old version located in 
/usr/lib/python2.6/dist-packages/Crypto, but what I installed is in /usr*
/local*/lib/python2.6/dist-packages/Crypto, well well

> sudo 
> mv /usr/lib/python2.6/dist-packages/Crypto 
> /usr/lib/python2.6/dist-packages/Crypto_bak

restarted apache and site was up and running, but there is no LDAP in 
'Authentication Method' configuration, only 'Standard registration' and 
'Legacy Authentication Module'. Are you kidding me?

another day had gone, and then, thanks God, I got a clue in apache2 
log, Crypto is still 2.0.1, the old one, kill me!!!:

> sudo 
> rm /usr/lib/python2.6/dist-packages/Crypto 
> /usr/lib/python2.6/dist-packages/pycrypto-2.0.1.egg-info

 
Now? I'm writing here blah blah...

-- 
Want to help the Review Board project? Donate today at 
http://www.reviewboard.org/donate/
Happy user? Let us know at http://www.reviewboard.org/users/
-~----------~----~----~----~------~----~------~--~---
To unsubscribe from this group, send email to 
reviewboard+unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/reviewboard?hl=en

Reply via email to